﻿--[[ Postal_Rake: Display summary of money gained from opening mail. ]]--
Postal_Rake = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0", "AceConsole-2.0")
local abacus = AceLibrary("Abacus-2.0") 
local L = AceLibrary("AceLocale-2.2"):new("Postal_Rake")

L:RegisterTranslations("enUS", function() return {
	["Collected"] = true,
} end)

L:RegisterTranslations("frFR", function() return {
	["Collected"] = "R\195\169cup\195\169r\195\169",
} end)

L:RegisterTranslations("koKR", function() return {
	["Collected"] = "수집",
} end)

function Postal_Rake:OnEnable()
 self:RegisterEvent("MAIL_SHOW")
end

function Postal_Rake:MAIL_SHOW()
  self.startmoney = GetMoney()
  self:RegisterEvent("MAIL_CLOSED")
end

function Postal_Rake:MAIL_CLOSED()
  self:UnregisterEvent("MAIL_CLOSED")
  self.endmoney = GetMoney()
  if self.endmoney <= self.startmoney then return end
  self:Print(L["Collected"].." "..abacus:FormatMoneyExtended(self.endmoney - self.startmoney))
end
