--[[ Postal_Wire: Update Subject Field with Money Amount if blank ]]--
Postal_Wire = AceLibrary("AceAddon-2.0"):new("AceHook-2.1")
local abacus = AceLibrary("Abacus-2.0") 

function Postal_Wire:OnEnable()
 self:SecureHook(SendMailMoney, "onvalueChangedFunc")
end

function Postal_Wire:onvalueChangedFunc()
  local subject =  SendMailSubjectEditBox:GetText()
  if subject == "" or string.find(subject, "^%[%d+g %d+s %d+c%]$") or string.find(subject, "^%[%d+s %d+c%]$") or string.find(subject, "^%[%d+c%]$") then
    local copper = MoneyInputFrame_GetCopper(SendMailMoney)
    if copper and copper > 0 then
      SendMailSubjectEditBox:SetText(format("["..abacus:FormatMoneyFull(copper).."]"))
    end
  end
end
